=== debian/changelog ===
libgmpada (0.0.20120331-1) unstable; urgency=low

  * New upstream release (neither ALI nor SO changes).
  * watch: search for bz2 tarballs too.
  * control: -dbg does not Pre-Depends: ${misc:Pre-Depends} for multiarch.
    -dev Depends: libmpfr-dev and libgmp-dev (Closes: #667481).
  * ada_libraries, control, rules: use dh_ada_library.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Wed, 04 Apr 2012 21:36:48 +0200
