=== debian/control ===
Source: libgmpada
Section: libdevel
Priority: extra
Maintainer: Nicolas Boulenguez <nicolas.boulenguez@free.fr>
DM-Upload-Allowed: yes
Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
 gnat, gnat-4.6, gprbuild (>= 2011),
 dh-ada-library,
 libgmp-dev, libmpfr-dev
Standards-Version: 3.9.3
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libgmpada
Vcs-Mtn: www.ada-france.org org.debian.libgmpada
Homepage: http://mtn-host.prjek.net/projects/libgmpada

Package: libgmpada3-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends},
 libgmp-dev, libmpfr-dev
Description: Ada binding to the GNU MultiPrecision library: development
 GMPAda allows programmers to use the GNU MultiPrecision library
 within the Ada language: unbounded integers, rationals and
 floats. Experimental support for mpfr's better float rounding is
 provided.
 .
 Install this package if you want to write programs that
 use libgmpada.

Package: libgmpada2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Ada binding to the GNU MultiPrecision library: shared library
 GMPAda allows programmers to use the GNU MultiPrecision library
 within the Ada language: unbounded integers, rationals and
 floats. Experimental support for mpfr's better float rounding is
 provided.
 .
 This package contains the runtime shared library.

Package: libgmpada-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${ada:Depends}
Recommends: ${ada:Recommends}
Suggests: ${ada:Suggests}
Description: Ada binding to the GNU MultiPrecision library: debug symbols
 GMPAda allows programmers to use the GNU MultiPrecision library
 within the Ada language: unbounded integers, rationals and
 floats. Experimental support for mpfr's better float rounding is
 provided.
 .
 This package contains the runtime debug symbols.
