## libgmpada 0.0.20121109

=== Makefile ===
--- 
+++ 
@@ -28,22 +28,26 @@
 
 # Use environment variables if available, this is common practice for
 # CFLAGS and LDFLAGS.
+CPPFLAGS ?=
 CFLAGS   ?= -O2
-ADAFLAGS ?= -O2
+ADAFLAGS ?= -O2 -gnatn
+# Inlining helps a lot for the thin binding.
 LDFLAGS  ?=
 
 .NOTPARALLEL:
-GPRBUILD_OPTIONS := -j$(shell getconf _NPROCESSORS_ONLN)
+GNATMAKE_OPTIONS := -j$(shell getconf _NPROCESSORS_ONLN)
 
 ifdef ALL_CHECKS
   CFLAGS += -Wall -Wextra -Wformat -Wformat-security -g
-  ADAFLAGS += -Wall -Wextra -g -gnatE -gnatQ -gnatVa -gnata -gnatf	\
-  -gnato -gnatq -gnatySdouxy
-  GPRBUILD_OPTIONS += -s -we
+  ADAFLAGS += -Wall -Wextra -g -gnataEfoqQ -gnatVa -gnatw.eH	\
+  -gnatydoSuxy
+  GNATMAKE_OPTIONS += -s -we
 endif
 
-# We want the same compiler for generate_constants.c and the library.
+# We want the same compiler for C and Ada sources.
 CC := gnatgcc
+
+LDLIBS := -lgmp -lmpfr
 
 ##############################
 # Installation configuration #
@@ -65,50 +69,50 @@
 # The static and dynamic library are installed into
 LIB_DIR := usr/lib
 
+################################
+# Make magic to replace spaces #
+################################
+comma := ,
+empty :=
+space := $(empty) $(empty)
+
 #########
 # Rules #
 #########
 
-# Function exporting a variable on the command line.
-to_X_options = $(foreach var,$(1),-X$(var)="$($(var))")
-
 build: build-dynamic build-static
 
 build-dynamic build-static: build-%: src/gmp-constants.ads
-	gprbuild $(LIB_NAME).gpr $(GPRBUILD_OPTIONS) -XKIND=$* $(call to_X_options,\
-          ADAFLAGS CFLAGS LDFLAGS SOVERSION)
-
+	gnatmake -P$(LIB_NAME).gpr $(GNATMAKE_OPTIONS) -XKIND=$*
 clean::
 	rm -f $(foreach dir,obj lib,$(foreach kind,dynamic static,build-$(dir)-$(kind)/*))
 
 src/gmp-constants.ads: generate_constants
 	./$< > $@
 clean::
-	rm -f src/gmp-constants.ads
-
-generate_constants: LDLIBS := -lgmp
-clean::
-	rm -f generate_constants
+	rm -f src/gmp-constants.ads generate_constants
 
 clean::
 	find -name "*~" -delete
 
+TEST_PROJECT := demo/demo.gpr
 test: build-static
-	gprbuild demo/demo.gpr $(GPRBUILD_OPTIONS) -XKIND=static $(call to_X_options,\
-          ADAFLAGS CFLAGS LDFLAGS)
+	gnatmake -P$(TEST_PROJECT) $(GNATMAKE_OPTIONS) -XKIND=static
 	demo/demo
-# Gmpada.gpr is found in the current directory when executing this
-# recipe, and will be found in the default system location after
-# installation.
+# LIB_NAME.gpr is found in the current directory when executing this
+# recipe, and in the default system location after installation.
+clean:: $(LIB_NAME).gpr
+# See below for an explanation of this prerequisite.
 clean::
-	gprclean -q demo/demo.gpr -XKIND=static
+	gnatclean -q -P$(TEST_PROJECT) -XKIND=static
 
 install: build
 	install --directory $(DESTDIR)/$(SRC_DIR)/$(LIB_NAME)
 	install --mode=644 src/*.ad[sb] src/*.[ch] $(DESTDIR)/$(SRC_DIR)/$(LIB_NAME)
 	install --directory $(DESTDIR)/$(GPR_DIR)
 	sed template_for_installed_project \
-          $(foreach var,LIB_NAME SRC_DIR ALI_DIR LIB_DIR,-e 's|$$($(var))|$($(var))|g') \
+          $(foreach var,LIB_NAME SRC_DIR ALI_DIR LDLIBS LIB_DIR, \
+          -e 's|$$($(var))|$(subst $(space),"$(comma) ",$($(var)))|g') \
           > $(DESTDIR)/$(GPR_DIR)/$(LIB_NAME).gpr
 	chmod 644 $(DESTDIR)/$(GPR_DIR)/$(LIB_NAME).gpr
 	install --directory $(DESTDIR)/$(ALI_DIR)/$(LIB_NAME)
@@ -126,4 +130,38 @@
 	rm -f $(DESTDIR)/$(LIB_DIR)/lib$(LIB_NAME).so.$(SOVERSION)
 	rm -f $(DESTDIR)/$(LIB_DIR)/lib$(LIB_NAME).so
 
+############################################################
+#  All that C stuff will be unnecessary with gprbuild’s mixed C/Ada
+#  project files.  For the moment, gnatmake will embed all .o files,
+#  we only have to compile them and store them in the object dir.
+
+C_SRC := $(wildcard src/*.c)
+
+C_OBJ_DYNAMIC := $(patsubst src/%.c,build-obj-dynamic/%.o,$(C_SRC))
+build-dynamic: $(C_OBJ_DYNAMIC)
+$(C_OBJ_DYNAMIC): build-obj-dynamic/%.o: src/%.c
+	$(CC) -c $(CPPFLAGS) $(CFLAGS) $< -o $@ -fPIC
+
+C_OBJ_STATIC  := $(patsubst src/%.c,build-obj-static/%.o, $(C_SRC))
+build-static: $(C_OBJ_STATIC)
+$(C_OBJ_STATIC): build-obj-static/%.o: src/%.c
+	$(CC) -c $(CPPFLAGS) $(CFLAGS) $< -o $@
+
+######################################################################
+# gnatmake 4.4 does not handle External_As_List, so we emulate it with
+# a template instead of passing the options with -X.
+
+build-dynamic build-static: $(LIB_NAME).gpr
+# This is a prerequisite for clean too, but it must bea added before
+# gnatclean is called.
+
+$(LIB_NAME).gpr: %.gpr: %.gpr.sed
+	sed $< \
+	 $(foreach var,ADAFLAGS CFLAGS CPPFLAGS LDFLAGS LDLIBS SOVERSION, \
+	   -e 's/$(var)/$(subst $(space),"$(comma) ",$($(var)))/') \
+	 > $@
+
+clean::
+	rm -f $(LIB_NAME).gpr
+
 .PHONY: build build-dynamic build-static clean install test uninstall
