=== debian/changelog ===
libgmpada (0.0.20121109-1ubuntu2) raring; urgency=low

  * debian/tests/link_with_shared: Drop set -v option and redirect gnatmake
    stderr to stdout, to avoid writing stuff to stderr. Fixes autopkgtest
    failure.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 18 Mar 2013 10:51:15 +0100

libgmpada (0.0.20121109-1ubuntu1) raring; urgency=low

  * pass --no-as-needed to build to fix failure

 -- Julian Taylor <jtaylor@ubuntu.com>  Sat, 09 Mar 2013 12:45:47 +0100

libgmpada (0.0.20121109-1) unstable; urgency=low

  * New upstream release (no patches needed anymore).
  * control: libgmpada3-dev -> libgmpada4-dev, with Breaks/Replaces,
    due to debian-ada-policy.
    XS-Testsuite: autopkgtest (Closes: #692663).
    Maintainer, DM-Upload-Allowed: I am a DD.
    Build-Depends: gprbuild is not needed anymore
  * copyright: GPL2+ -> GPL3+.
  * watch: gz -> bzip2.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 08 Nov 2012 16:17:00 +0100

libgmpada (0.0.20120331-2) unstable; urgency=low

  * Inherit hardening CPPFLAGS.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Sat, 07 Jul 2012 21:37:49 +0200
