=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: libgmpada
 Section: libdevel
 Priority: extra
-Maintainer: Nicolas Boulenguez <nicolas.boulenguez@free.fr>
-DM-Upload-Allowed: yes
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
- gnat, gnat-4.6, gprbuild (>= 2011),
- dh-ada-library,
+ gnat, gnat-4.6,
+ dh-ada-library (>= 5),
  libgmp-dev, libmpfr-dev
 Standards-Version: 3.9.3
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libgmpada
 Vcs-Mtn: www.ada-france.org org.debian.libgmpada
 Homepage: http://mtn-host.prjek.net/projects/libgmpada
+XS-Testsuite: autopkgtest
 
-Package: libgmpada3-dev
+Package: libgmpada4-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends},
  libgmp-dev, libmpfr-dev
+Breaks: libgmpada3-dev
+Replaces: libgmpada3-dev
 Description: Ada binding to the GNU MultiPrecision library: development
  GMPAda allows programmers to use the GNU MultiPrecision library
  within the Ada language: unbounded integers, rationals and
