=== debian/rules ===
--- 
+++ 
@@ -29,14 +29,20 @@
 # Set some variables #
 ######################
 
+# found no way to fix the build otherwise (see #702632)
+DEB_LDFLAGS_MAINT_PREPEND = -Wl,--no-as-needed
 include /usr/share/dpkg/default.mk
 include /usr/share/ada/debian_packaging.mk
+
+ADAFLAGS += -gnatn
+# This is very useful for the thin binding.
 
 LIB_NAME := $(patsubst lib%,%,$(DEB_SOURCE))
 
 SOVERSION := $(shell sed -n -e "s/^Package: lib$(LIB_NAME)\([[:digit:]]\+\)$$/\1/p" debian/control)
 ifndef SOVERSION
   $(warning Could not guess SOVERSION from debian/control)
+  # Not error. Policy defines targets that may be run from outside build dir.
 endif
 LIB_PKG := lib$(LIB_NAME)$(SOVERSION)
 
@@ -56,9 +62,11 @@
 	dh $@ --with ada-library
 
 override_dh_auto_build override_dh_auto_test: override_%:
-	$* -- GPRBUILD_OPTIONS=$(BUILDER_OPTIONS) $(foreach var,\
-          CFLAGS ADAFLAGS LDFLAGS SOVERSION,$(var)="$($(var))")
+	$* -- $(foreach var,\
+          ADAFLAGS CFLAGS CPPFLAGS LDFLAGS SOVERSION,$(var)="$($(var))") \
+          GNATMAKE_OPTIONS="$(BUILDER_OPTIONS)"
 
+# Ignore these targets from upstream Makefile.
 override_dh_auto_install:
 
 # According to dh_installdocs(1), debian/README.Debian should be
