## libgmpada 0.0.20131223

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #    GMPAda, binding to the Ada Language for the GNU MultiPrecision library.
-#    Copyright (C) 2007-2012 Nicolas Boulenguez <nicolas.boulenguez@free.fr>
+#    Copyright (C) 2007-2013 Nicolas Boulenguez <nicolas.boulenguez@free.fr>
 #
 #    This program is free software: you can redistribute it and/or modify
 #    it under the terms of the GNU General Public License as published by
@@ -45,7 +45,7 @@
 endif
 
 # We want the same compiler for C and Ada sources.
-CC := gnatgcc
+CC := $(shell gnatmake --version | sed -n '1 s/GNATMAKE /gcc-/p')
 
 LDLIBS := -lgmp -lmpfr
