=== debian/changelog ===
libgmpada (0.0.20131223-4) unstable; urgency=medium

  * Touch generated sources for deterministic ALI files and tar headers.
  * Standards-Version: 3.9.6 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 04 May 2015 14:47:22 +0200

libgmpada (0.0.20131223-3) unstable; urgency=medium

  * Pass CC to make, circumventing wrong autodetection. Closes: #768706.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 09 Nov 2014 14:18:38 +0100

libgmpada (0.0.20131223-2) unstable; urgency=medium

  * Migrate to gnat-4.9.
    Rename library and -dev package according to Ada policy.
  * move armored upstream signature to upstream/.
  * rules: run-tests target obsoleted by sadt from devscripts.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 02 May 2014 04:21:56 +0200

libgmpada (0.0.20131223-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 3.9.4 (no changes).
  * watch, upstream-signing-key.pgp added.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 23 Dec 2013 05:40:19 +0100

libgmpada (0.0.20121109-3) unstable; urgency=low

  * tests: valid test names may not contain underscores.
  * rules: updated run-tests target.
  * remove any /usr/share/doc/pkg symlink, they cause maintenance problems.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 24 Aug 2013 00:16:17 +0200

libgmpada (0.0.20121109-2) unstable; urgency=low

  * tests/link_with_shared: avoid gnatmake printing on stderr.
    Closes: #702634, #703310.
    rules: run-tests target updated to emulate recent autopkgtest.
  * source/options: deleted, so that dpkg uses the default compression.
  * README.debian: why lintian hardening-no-fortify-functions may be ignored.
  * control: Build-Depends: gnat-4.6 >= 4.6.4, so that gnatlink handles
    --as-needed linker flag properly. Closes: #702632.
  * control: Standards-Version: 3.9.4.
  * Updated copyrights.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 10 Mar 2013 20:04:13 +0100
