=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: libgmpada
 Section: libdevel
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nicolas Boulenguez <nicolas@debian.org>
+Maintainer: Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
- gnat, gnat-4.6,
- dh-ada-library (>= 5),
+ gnat, gnat-4.9,
+ dh-ada-library (>= 5.4),
  libgmp-dev, libmpfr-dev
-Standards-Version: 3.9.3
+# dpkg-dev >= 1.16.1 provides /usr/share/dpkg/default.mk.
+# dh-ada-library >= 5.4 stops linking doc directories.
+Standards-Version: 3.9.6
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libgmpada
 Vcs-Mtn: www.ada-france.org org.debian.libgmpada
 Homepage: http://mtn-host.prjek.net/projects/libgmpada
 XS-Testsuite: autopkgtest
 
-Package: libgmpada4-dev
+Package: libgmpada5-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends},
  libgmp-dev, libmpfr-dev
-Breaks: libgmpada3-dev
-Replaces: libgmpada3-dev
 Description: Ada binding to the GNU MultiPrecision library: development
  GMPAda allows programmers to use the GNU MultiPrecision library
  within the Ada language: unbounded integers, rationals and
@@ -28,7 +27,7 @@
  Install this package if you want to write programs that
  use libgmpada.
 
-Package: libgmpada2
+Package: libgmpada3
 Section: libs
 Architecture: any
 Multi-Arch: same
