=== debian/watch ===
version=3
opts=uversionmangle=s/^/0.0./,pgpsigurlmangle=s/$/.asc/ \
http://mtn-host.prjek.net/projects/libgmpada/files/libgmpada-(.*)\.tar\.bz2
