=== debian/changelog ===
libgmpada (1.0-3) unstable; urgency=medium

  * Previous patch does not fix the FTBFS and uses obsolete -aL option.
    Copy the objects in ALI directory instead.
  * Pass build flags to tests, especially activate assertions.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 16 May 2016 17:36:00 +0200

libgmpada (1.0-2) unstable; urgency=medium

  * patches/gnatmake-al-not-ao-alidir.diff: changing gnatmake options to
    work around a segfault in a test with gnat-6 on kfreebsd-amd64.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 16 May 2016 02:17:55 +0200

libgmpada (1.0-1) unstable; urgency=medium

  * New upstream release and website.
    Update watch, control/Homepage and copyright/Upstream-Contact.
    Drop get-orig-source target.
  * Build with gnat-6 and all hardening flags. Closes: #822775.
    Rename lib and -dev packages per Ada policy.
  * fake.gpr: new for dh-ada-library, no build project anymore.
  * Remove obsolete preinst scripts.
  * Replace manual -dbg packages with automatic -dbgsym.
  * Standards-Version: 3.9.8 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 27 Apr 2016 18:22:01 +0200
