=== debian/control ===
Source: libgmpada
Section: libdevel
Priority: extra
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
 gnat, gnat-6,
 dh-ada-library (>= 6.7),
# dh-ada-library >= 6.7 stops requiring -dbg packages.
 libgmp-dev, libmpfr-dev
# dpkg-dev >= 1.16.1 provides /usr/share/dpkg/default.mk.
Standards-Version: 3.9.8
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libgmpada
Vcs-Mtn: www.ada-france.org org.debian.libgmpada
Homepage: http://nicolas.boulenguez.free.fr

Package: libgmpada6-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends},
 libgmp-dev, libmpfr-dev
Description: Ada binding to the GNU MultiPrecision library: development
 GMPAda allows programmers to use the GNU MultiPrecision library
 within the Ada language: unbounded integers, rationals and
 floats. Experimental support for mpfr's better float rounding is
 provided.
 .
 Install this package if you want to write programs that
 use libgmpada.

Package: libgmpada4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Ada binding to the GNU MultiPrecision library: shared library
 GMPAda allows programmers to use the GNU MultiPrecision library
 within the Ada language: unbounded integers, rationals and
 floats. Experimental support for mpfr's better float rounding is
 provided.
 .
 This package contains the runtime shared library.
