=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
  http://nicolas.boulenguez.free.fr \
  libgmpada-(.*)\.tar\.xz
